libzypp 17.37.10

zyppng::MemSignal< SignalHost, ReturnType, Arguments > Class Template Reference

`#include <zypp-core/zyppng/base/signals.h>`

## Detailed Description

template<class SignalHost, typename ReturnType, typename... Arguments>
class zyppng::MemSignal< SignalHost, ReturnType, Arguments >

This is a special type of signal that takes a reference to the sender object during signal emission. This is only required in cases where sending a signal might delete the sender and no external object holds a reference to it.

Definition at line 160 of file signals.h.

The documentation for this class was generated from the following file:

- zypp-core/zyppng/base/signals.h